<?
require_once('include/global.php');
require_once('include/addr_lib.php');
require_once('conf.inc.php');


// check
	if (!$_GET['adg_no'])
		msg('올바른 URL로 접근하여 주십시오');
	limit_adg_no($_GET['adg_no']);

	
// data
	// check
	$cg = get_addr_group_tree_class();
	if ($cg->getChildCount($_GET['adg_no'], "AND " . get_addr_group_where() . "") > 0)
		msg("하위 그룹이 있으므로 삭제할 수 없습니다.");

	$mf_cnt= db_get_one("SELECT COUNT(*)  FROM " . $TB['ADDR'] . " WHERE adg_no='" . $_GET['adg_no'] . "'");
	if ($mf_cnt > 0)
		msg("그룹이 비어있지 않아 삭제할 수 없습니다.\\n\\n[그룹 비우기]를 먼저 실행하시기 바랍니다.");

	$sql = " DELETE FROM " . $TB['ADDR_GROUP'] . " WHERE adg_no='" . $_GET['adg_no'] . "' AND " . get_addr_group_where() . "";
	db_query($sql);
	


// end
	#msg("그룹이 삭제되었습니다.", 0);
	movepage('addr_group.php?'.get_qs('adg_no'));


require_once('include/global_end.php');
?>